////////////////////////////////////////////////////////////////////////////////
// File    : TimeUtils.h
// Content : functions dealing with time
// History : 07-Jan-2004 - [rb] creation
////////////////////////////////////////////////////////////////////////////////

/*
    Copyright (C) 2004  Renaud Blanch <rb.hsm@laposte.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/// \file TimeUtils.h
/// Functions dealing with time.


#if !defined(HSM_TIMEUTILS_H)
#define HSM_TIMEUTILS_H


namespace hsm {

	/// contains function dealing with time
	namespace time {
		
/* functions ******************************************************************/

		/// gets the current time
		/// \return the time in microsecond
		long get();

	} // namespace time

} // namespace hsm


#endif // !defined(HSM_TIMEUTILS_H)